Subject: bug#48179: bookmark-fontify [PATCH]

From: Boruch Baum <[email-masked]>
Date: Mon, 3 May 2021 05:12:04 -0400

On 2021-05-03 09:54, Lars Ingebrigtsen wrote:
> Boruch Baum <[email-masked]> writes:
>
> > The attached patch adds a feature to bookmark.el to colorize a
> > bookmark's line, making it easily observable. The idea was adopted from
> > package bm.el, available on MELPA. I was able to test this on Emacs 27,
> > but there seem to have been some changes in snapshot to make it
> > difficult to use that version of bookmark.el on my Emacs 27, so please
> > verify that I performed the migration properly.
>
> The patch is against Emacs 27, I guess?  (Because it didn't apply
> cleanly on Emacs 28.)  We're not accepting new features for Emacs 27,
> though, so can you respin it for Emacs 28?

I thought I did base the patch on yesterday's gnu.org cgit version...
Here's what the on-line log is showing me...

   Age                  Commit message (Expand)                    Author       Files Lines
2020-09-07 Use format-prompt in read-file-name calls that     Lars Ingebrigtsen 1     -3/+3
           have a default
2020-09-06 Use `format-prompt' when prompting with default    Lars Ingebrigtsen 1     -1/+1
           values

> Also -- it's slightly obscure what it's doing, but testing seems to
> indicate that it just puts a face over the current line when you're
> doing a `C-x r m' command?

Just. Yes, that is the entire point: "colorize a bookmark's line".

> That's nice, but I think it would also make sense to restore these
> faces when jumping to a buffer from the bookmark buffer -- otherwise
> it's just a bit confusing.

Yes. If someone deletes the buffer after creating the bookmark, the
overlay will be lost. What you're asking for is a simple two or three
lines to add to the jump function, but there's no sense if you can't
even apply the current patch. If you can figure out what the problem is
with that, I can add the trivial code for the jump.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0